<template>
  <main class="game">
    <div class="game__dealer">
        <h2>Dealer</h2>
        <p>Deck id: {{deckId}}</p>
        <img v-for="card in dealerCards" :key="card.code" :src="card.image" :alt="card.code"/>
    </div>
      
    <div class="game__player">
        <h2>{{ playerName }}</h2>
        <img v-for="card in playerCards" :key="card.code" :src="card.image" :alt="card.code"/>
    </div>
  </main>
</template>

<script>
import {mapState, mapActions} from 'vuex'

export default {
    computed: {
        ...mapState(['playerName', 'deckId', 'dealerCards', 'playerCards'])
    },
    methods: {
        ...mapActions(['getDeck', 'drawCard'])
    },
    async created() {
        await this.getDeck()
        await this.drawCard({ numberOfCards: 2, isDealer: true})
        await this.drawCard({ numberOfCards: 2, isDealer: false})
    }
}
</script>

<style>
.game__dealer {
    background-color: red;
}

.game__player {
    background-color: blue;
}
</style>